<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			// SESIÓN INICIADA

			if(!isset($_POST['SIGUIENTE']) && !isset($_POST['REGISTRAR']) && isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/validar_empresa_contrata.phtml");
				
			}
	
			if(isset($_POST['SIGUIENTE']) && isset($_SESSION['id_usuario_almacen'])){
	
				$ruc = $_POST['ruc'];
	
				$validar=$ges->get_contrata_validar($ruc);


				if($validar['total'] >= 1){

					echo '<script type="text/javascript">alert("LA CONTRATA YA SE ENCUENTRE REGISTRADA");window.location.href="registrar_contrata.php";</script>';
	
					require_once("./view/registrar_contrata.phtml");
				
					
				}else{
	
					require_once("./view/registrar_contrata.phtml");
						
				}
	
				
				
			}

			// VALIDAR USUARIO

			if(!isset($_SESSION['id_usuario_almacen'])){

				echo'<script type="text/javascript">alert("NO HA INGRESADO SESIÓN");window.location.href="index.php";</script>';
				
			}

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen']) && isset($_POST['REGISTRAR'])){

				require_once("./view/cargando.phtml");

				$validar = $ges->get_contrata_validar($_POST['ruc_empresa']);
				$validar2 = $ges->get_contrata_validar2($_POST['razon_social_empresa']);

				

				if($validar['total'] >= 1){

					echo '<script type="text/javascript">alert("EL RUC YA EXISTE");window.location.href="contratas.php";</script>';

				}else if($validar2['total'] >= 1){

					echo '<script type="text/javascript">alert("LA RAZON SOCIAL YA EXISTE");window.location.href="contratas.php";</script>';

				}else{

					$ruc_empresa = $_POST['ruc_empresa'];

					$razon_social_empresa = $_POST['razon_social_empresa'];
	
					$resultado = $ges->set_contrata_empresa($ruc_empresa,$razon_social_empresa);
	
					echo '<script type="text/javascript">alert("SE REGISTRÓ CORRECTAMENTE");window.location.href="contratas.php";</script>';
	

				}

				
				
				
			}


?>